# Generated from kumolus-mongoid-enum-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kumolus-mongoid-enum

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: enum support for Mongoid
License: MIT
URL: https://github.com/kumoas/kumolus-mongoid-enum
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.14
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(guard-rspec) >= 4.0.3
# BuildRequires: rubygem(guard-rspec) < 4.1
# BuildRequires: rubygem(database_cleaner) >= 1.5.3
# BuildRequires: rubygem(database_cleaner) < 1.6
# BuildRequires: rubygem(mongoid-rspec) >= 1.5.1
# BuildRequires: rubygem(mongoid-rspec) < 1.6
BuildArch: noarch

%description
Heavily inspired by DDH's ActiveRecord::Enum, this little library is there to
help you cut down the cruft in your models and make the world a happier place
at the same time.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/mongoid-enum.gemspec
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.1-1
- Initial package
